#!/bin/bash

PROJECTPATH=$PWD
GOPATH="$PWD/go"
GO111MODULE=off

if [ -z "$1" ]; then
	echo "Usage: ./bind.sh <tag>"
	exit 1
fi

echo "Installing/updating gomobile..."
GOPATH="$PROJECTPATH/go" go get -u golang.org/x/mobile/cmd/gomobile

echo "Installing/updating gophast "`printf %q "$1"`"..."
mkdir -p $GOPATH/src/git.sr.ht/~tslocum
if [ ! -d "$GOPATH/src/git.sr.ht/~tslocum/gophast" ]; then
	git clone https://git.sr.ht/~tslocum/gophast $GOPATH/src/git.sr.ht/~tslocum/gophast
fi

cd $GOPATH/src/git.sr.ht/~tslocum/gophast && git fetch origin && git reset --hard `printf %q "$1"` && cd $PROJECTPATH

echo "Downloading dependencies..."
cd $GOPATH/src/git.sr.ht/~tslocum/gophast
go mod vendor
cd $PROJECTPATH

echo "Binding library..."
mkdir -p libs
GOPATH="$PROJECTPATH/go" $GOPATH/bin/gomobile bind -tags=android -ldflags "-X git.sr.ht/~tslocum/gophast/pkg/config.Version=`git -C $GOPATH/src/git.sr.ht/~tslocum/gophast describe --tags $(git -C $GOPATH/src/git.sr.ht/~tslocum/gophast rev-list --tags --max-count=1)`" -o libs/gophast.aar -target=android -androidapi=16 git.sr.ht/~tslocum/gophast/pkg/manager

echo "Finished."
