package space.rocketnine.gophast;

import android.content.Intent;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.TextView;

public class AboutActivity extends AppCompatActivity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_about);

        getSupportActionBar().setBackgroundDrawable(getResources().getDrawable(R.drawable.road_end));

        String appVersion;
        try {
            PackageInfo packageInfo = getPackageManager().getPackageInfo(getPackageName(), 0);
            appVersion = packageInfo.versionName;
        } catch (PackageManager.NameNotFoundException e) {
            appVersion = "?";
        }

        TextView txtAboutTitle = findViewById(R.id.txtAboutTitle);
        txtAboutTitle.setText(String.format(getString(R.string.aboutGoPhastTitle), appVersion));

        String goPhastVersion = manager.Manager.getGoPhastVersion();
        if (goPhastVersion.trim().isEmpty()) {
            goPhastVersion = "?";
        }

        TextView txtAboutSubTitle = findViewById(R.id.txtAboutSubTitle);
        txtAboutSubTitle.setText(String.format(getString(R.string.aboutGoPhastSubTitle), goPhastVersion));
    }

    @Override
    public void finish() {
        super.finish();
        overridePendingTransition(R.anim.slide_in_rev, R.anim.slide_out_rev);
    }

    public void learnMore(View view) {
        startActivity(new Intent(Intent.ACTION_VIEW, Uri.parse("https://git.sr.ht/~tslocum/gophast-android")).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
    }
}
